Package org.eclipse.birt.chart.model.attribute

# Interface NumberFormatSpecifier

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `FormatSpecifier`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `NumberFormatSpecifierImpl`

public interface NumberFormatSpecifier extends FormatSpecifier
A representation of the model object 'Number Format Specifier'. NumberFormatSpecifier extends FormatSpecifier specially for formatting numeric values.

The following features are supported:

- `Prefix`
- `Suffix`
- `Multiplier`
- `Fraction Digits`

See Also:
  - `AttributePackage.getNumberFormatSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`NumberFormatSpecifier`
`copyInstance()`
`String`
`format(double dValue, com.ibm.icu.util.ULocale lo)`
Formats a value using the internally defined format specifier rules
`String`
`format(double dValue, Locale lo)`
Deprecated.
`String`
`format(Number number, com.ibm.icu.util.ULocale lo)`
Returns a formatted string representation of specified number.
`int`
`getFractionDigits()`
Returns the value of the 'Fraction Digits' attribute.
`double`
`getMultiplier()`
Returns the value of the 'Multiplier' attribute.
`String`
`getPrefix()`
Returns the value of the 'Prefix' attribute.
`String`
`getSuffix()`
Returns the value of the 'Suffix' attribute.
`boolean`
`isSetFractionDigits()`
Returns whether the value of the '`Fraction Digits`' attribute is set.
`boolean`
`isSetMultiplier()`
Returns whether the value of the '`Multiplier`' attribute is set.
`void`
`setFractionDigits(int value)`
Sets the value of the '`Fraction Digits`' attribute.
`void`
`setMultiplier(double value)`
Sets the value of the '`Multiplier`' attribute.
`void`
`setPrefix(String value)`
Sets the value of the ' `Prefix`' attribute.
`void`
`setSuffix(String value)`
Sets the value of the ' `Suffix`' attribute.
`void`
`unsetFractionDigits()`
Unsets the value of the '`Fraction Digits`' attribute.
`void`
`unsetMultiplier()`
Unsets the value of the '`Multiplier`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getPrefix

String getPrefix()
Returns the value of the 'Prefix' attribute. Attribute "Prefix" specifies the prefix of the output text.

Returns:
  the value of the 'Prefix' attribute.
See Also:
  - `setPrefix(String)`
  - `AttributePackage.getNumberFormatSpecifier_Prefix()`

### setPrefix

void setPrefix(String value)
Sets the value of the ' `Prefix`' attribute.

Parameters:
  `value` - the new value of the 'Prefix' attribute.
See Also:
  - `getPrefix()`

### getSuffix

String getSuffix()
Returns the value of the 'Suffix' attribute. Attribute "Suffix" specifies the suffix of the output text.

Returns:
  the value of the 'Suffix' attribute.
See Also:
  - `setSuffix(String)`
  - `AttributePackage.getNumberFormatSpecifier_Suffix()`

### setSuffix

void setSuffix(String value)
Sets the value of the ' `Suffix`' attribute.

Parameters:
  `value` - the new value of the 'Suffix' attribute.
See Also:
  - `getSuffix()`

### getMultiplier

double getMultiplier()
Returns the value of the 'Multiplier' attribute. Specifies the multiplier.

Returns:
  the value of the 'Multiplier' attribute.
See Also:
  - `isSetMultiplier()`
  - `unsetMultiplier()`
  - `setMultiplier(double)`
  - `AttributePackage.getNumberFormatSpecifier_Multiplier()`

### setMultiplier

void setMultiplier(double value)
Sets the value of the '`Multiplier`' attribute.

Parameters:
  `value` - the new value of the 'Multiplier' attribute.
See Also:
  - `isSetMultiplier()`
  - `unsetMultiplier()`
  - `getMultiplier()`

### unsetMultiplier

void unsetMultiplier()
Unsets the value of the '`Multiplier`' attribute.

See Also:
  - `isSetMultiplier()`
  - `getMultiplier()`
  - `setMultiplier(double)`

### isSetMultiplier

boolean isSetMultiplier()
Returns whether the value of the '`Multiplier`' attribute is set.

Returns:
  whether the value of the 'Multiplier' attribute is set.
See Also:
  - `unsetMultiplier()`
  - `getMultiplier()`
  - `setMultiplier(double)`

### getFractionDigits

int getFractionDigits()
Returns the value of the 'Fraction Digits' attribute. Defines the number of fractional digits to be shown.

Returns:
  the value of the 'Fraction Digits' attribute.
See Also:
  - `isSetFractionDigits()`
  - `unsetFractionDigits()`
  - `setFractionDigits(int)`
  - `AttributePackage.getNumberFormatSpecifier_FractionDigits()`

### setFractionDigits

void setFractionDigits(int value)
Sets the value of the '`Fraction Digits`' attribute.

Parameters:
  `value` - the new value of the 'Fraction Digits' attribute.
See Also:
  - `isSetFractionDigits()`
  - `unsetFractionDigits()`
  - `getFractionDigits()`

### unsetFractionDigits

void unsetFractionDigits()
Unsets the value of the '`Fraction Digits`' attribute.

See Also:
  - `isSetFractionDigits()`
  - `getFractionDigits()`
  - `setFractionDigits(int)`

### isSetFractionDigits

boolean isSetFractionDigits()
Returns whether the value of the '`Fraction Digits`' attribute is set.

Returns:
  whether the value of the 'Fraction Digits' attribute is set.
See Also:
  - `unsetFractionDigits()`
  - `getFractionDigits()`
  - `setFractionDigits(int)`

### format

@Deprecated String format(double dValue, Locale lo)
Deprecated.
Formats a value using the internally defined format specifier rules

Parameters:
  `dValue` -
Returns:
  A formatted string representation of the numerical value provided

### format

String format(double dValue, com.ibm.icu.util.ULocale lo)
Formats a value using the internally defined format specifier rules

Parameters:
  `dValue` -
Returns:
  A formatted string representation of the numerical value provided
Since:
  2.1

### format

String format(Number number, com.ibm.icu.util.ULocale lo)
Returns a formatted string representation of specified number.

Parameters:
  `number` -
  `lo` -
Returns:
Since:
  2.6

### copyInstance

NumberFormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `FormatSpecifier`
Specified by:
  `copyInstance` in interface `IChartObject`